petsc-3.10.5 2019-03-28
Report Typos and Errors

# PFRegister

Adds a method to the mathematical function package.

### Synopsis

    #include "petscpf.h"
    PetscErrorCode  PFRegister(const char sname[],PetscErrorCode (*function)(PF,void*))

Not collective

### Input Parameters

| name_solver | - name of a new user-defined solver
| routine_create | - routine to create method context

### Notes

PFRegister() may be called multiple times to add several user-defined functions

### Sample usage

       PFRegister("my_function",MyFunctionSetCreate);

Then, your solver can be chosen with the procedural interface via

        PFSetType(pf,"my_function")

or at runtime via the option

        -pf_type my_function

### Keywords

PF, register

### See Also

PFRegisterAll(), PFRegisterDestroy(), PFRegister()

### Level

advanced

### Location

src/vec/pf/interface/pf.c
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages